Bug 36379 - RFE: anaconda dumps on hd install
RFE: anaconda dumps on hd install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
www.stanford.edu/~dbrumley/Projects/s...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 19:00 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 15:23:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-17 19:00:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.7 sun4u)


Two problems:
a) HD Install asks for iso images.  Shouldn't this be RPMS directory?
b) HD install makes anaconda dump.  URL above gives anaconda dump output.
THis occurs right after selecting KDC/password/etc.


Reproducible: Always
Steps to Reproduce:
1. mirror redhat to <hdc7>/os/redhat-7.1
2. make boot floopy
3. boot off floppy, install from <hdc7>/os/redhat-7.1
	

Actual Results:  anaconda crashed

Expected Results:  should ask for packages next I think.

first part of traceback:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/packages_text.py",
line 32
, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 762, in
getHeader
List
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 165, in
read
Headers
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/harddrive.py", line 105, in
moun
tMedia
KeyError: 1
Comment 1 Brent Fox 2001-04-18 00:45:37 EDT
There were numerous problems with hard drive installs with Red Hat 7, most of
which were from people whose download of the installation tree got corrupted
somehow.  So, we changed hard drive installs to use iso images instead.  This
way, if there are problems, the user can do an md5sum on the iso image(s) and
compare the result to the md5sum posted on the ftp site to be sure that the
download finished without error.  This change has been clearly documented in the
release notes for 7.1.  If you are trying to download the install tree instead
of the iso images, this will not work.  Just put the two isos on your hard drive
somewhere, boot off the boot.img floppy, and pick the partition the that isos
are stored on.

Having said all this, the installer should be able to fail gracefully instead of
crashing.  We will address this in a future release.

Note You need to log in before you can comment on or make changes to this bug.